// FILENAME:	CnH_Fog_and_Fighting.cs
//
// AUTHOR:  	Killin is fun
//------------------------------------------------------------------------------

$missionName = "CnH_Fog_and_Fighting";

exec("multiplayerStdLib.cs");
exec("CnHStdLib.cs");


function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
  %capture1 = getObjectId("MissionGroup\\Alphabase\\trigger");
  %capture1.timeToCapture = 5;
  %capture1.timeCounted = 0;
  %capture1.lastVehicle = 0;
  %capture1.owner = 0;
  %capture1.secondsToHold = 60;
  %capture1.heldFor = 0;
  %capture1.name = "Alpha Base";
  %capture1.points = 10;
  %capture1.zen = 1;
  %capture1.spoils = 3;
  %capture1.spoil[0] = "MissionGroup\\Alphabase\\t1";
  %capture1.spoil[1] = "MissionGroup\\Alphabase\\t2";
  %capture1.spoil[2] = "MissionGroup\\Alphabase\\t3";


  %capture2 = getObjectId("MissionGroup\\Bravobase\\trigger");
  %capture2.timeToCapture = 5;
  %capture2.timeCounted = 0;
  %capture2.lastVehicle = 0;
  %capture2.owner = 0;
  %capture2.secondsToHold = 60;
  %capture2.heldFor = 0;
  %capture2.name = "Bravo Base";
  %capture2.points = 10;
  %capture2.zen = 1;
  %capture2.spoils = 3;
  %capture2.spoil[0] = "MissionGroup\\Bravobase\\t1";
  %capture2.spoil[1] = "MissionGroup\\Bravobase\\t2";
  %capture2.spoil[2] = "MissionGroup\\Bravobase\\t3";


  %capture3 = getObjectId("MissionGroup\\Charliebase\\trigger");
  %capture3.timeToCapture = 5;
  %capture3.timeCounted = 0;
  %capture3.lastVehicle = 0;
  %capture3.owner = 0;
  %capture3.secondsToHold = 60;
  %capture3.heldFor = 0;
  %capture3.name = "Charlie Base";
  %capture3.points = 10;
  %capture3.zen = 1;
  %capture3.spoils = 3;
  %capture3.spoil[0] = "MissionGroup\\Charliebase\\t1";
  %capture3.spoil[1] = "MissionGroup\\Charliebase\\t2";
  %capture3.spoil[2] = "MissionGroup\\Charliebase\\t3";


  %capture4 = getObjectId("MissionGroup\\Deltabase\\trigger");
  %capture4.timeToCapture = 5;
  %capture4.timeCounted = 0;
  %capture4.lastVehicle = 0;
  %capture4.owner = 0;
  %capture4.secondsToHold = 60;
  %capture4.heldFor = 0;
  %capture4.name = "Delta Base";
  %capture4.points = 10;
  %capture4.zen = 1;
  %capture4.spoils = 3;
  %capture4.spoil[0] = "MissionGroup\\Deltabase\\t1";
  %capture4.spoil[1] = "MissionGroup\\Deltabase\\t2";
  %capture4.spoil[2] = "MissionGroup\\Deltabase\\t3";


  %capture5 = getObjectId("MissionGroup\\Omegabase\\trigger");
  %capture5.timeToCapture = 5;
  %capture5.timeCounted = 0;
  %capture5.lastVehicle = 0;
  %capture5.owner = 0;
  %capture5.secondsToHold = 60;
  %capture5.heldFor = 0;
  %capture5.name = "Omega Base";
  %capture5.points = 10;
  %capture5.zen = 1;
  %capture5.spoils = 4;
  %capture5.spoil[0] = "MissionGroup\\Omegabase\\t1";
  %capture5.spoil[1] = "MissionGroup\\Omegabase\\t2";
  %capture5.spoil[2] = "MissionGroup\\Omegabase\\t3";
  %capture5.spoil[3] = "MissionGroup\\Omegabase\\t4";

  temperateSounds();
  stormSounds();
  windSounds();
}

function onMissionLoad()
{
   cdAudioCycle("CloudBurst", "Newtech", "Mechsoul");
}

