// FILENAME:  Point_of_Contention_2.cs
//
// AUTHOR:    Buckaroo Banzai 
//             (Based on C&H by Orogogus, Kore, and Buckaroo Banzai)
// 
//------------------------------------------------------------------------------

$missionName = "Point_of_Contention2";
$nameOfTheGame = "Capture";

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

exec("multiplayerStdLib.cs");
exec("CnHStdLib.cs");

$killPoints   = 3;
$deathPoints  = 2;
$basePoints   = 10;
$ZenWaitTime  = 40;
$ZenHealRate  = 400; 
$ZenAmmoRate  = 8;   

function onMissionLoad()
{
  cdAudioCycle("Purge", "Cyberntx", "Yougot"); 

  %capture1 = getObjectId("MissionGroup\\Bases\\OmegaTrigger");
  %capture1.timeToCapture = 5;
  %capture1.timeCounted = 0;
  %capture1.lastVehicle = 0;
  %capture1.owner = 0;
  %capture1.secondsToHold = 30;
  %capture1.heldFor = 0;
  %capture1.name = "Omega Base";
  %capture1.points = 10;
  %capture1.zen = 1;
  %capture1.spoils = 5;
  %capture1.spoil[0] = "MissionGroup\\Bases\\T1";
  %capture1.spoil[1] = "MissionGroup\\Bases\\T2";
  %capture1.spoil[2] = "MissionGroup\\Bases\\T3";
  %capture1.spoil[3] = "MissionGroup\\Bases\\T4";
  %capture1.spoil[4] = "MissionGroup\\Bases\\NavZenOmega";
}


function onMissionStart()
{
  venusSounds();
}

// move the map
$server::HudMapViewOffsetX = -1151;
$server::HudMapViewOffsetY = 381;
