// FILENAME:	CnH_Stonehenge.cs
//
// AUTHOR:  	Ditto
//------------------------------------------------------------------------------

$missionName = "CnH_Stonehenge";

exec("multiplayerStdLib.cs");
exec("CnHStdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
  %capture1 = getObjectId("MissionGroup\\B1\\trigger");
  %capture1.timeToCapture = 5;
  %capture1.timeCounted = 0;
  %capture1.lastVehicle = 0;
  %capture1.owner = 0;
  %capture1.secondsToHold = 60;
  %capture1.heldFor = 0;
  %capture1.name = "Alpha Base";
  %capture1.points = 10;
  %capture1.zen = 1;
  %capture1.spoils = 2;
  %capture1.spoil[0] = "MissionGroup\\B1\\T1";
  %capture1.spoil[1] = "MissionGroup\\B1\\nav";

  %capture2 = getObjectId("MissionGroup\\B2\\trigger");
  %capture2.timeToCapture = 5;
  %capture2.timeCounted = 0;
  %capture2.lastVehicle = 0;
  %capture2.owner = 0;
  %capture2.secondsToHold = 60;
  %capture2.heldFor = 0;
  %capture2.name = "Bravo Base";
  %capture2.points = 10;
  %capture2.zen = 1;
  %capture2.spoils = 2;
  %capture2.spoil[0] = "MissionGroup\\B2\\T1";
  %capture2.spoil[1] = "MissionGroup\\B2\\nav";


	marsSounds();
}

function player::onAdd(%this)
{
  say(%this, 0, "Welcome to Stonehenge. This map was made by *SLA* Ditto =DOE=. Capture Alpha or Bravo Base for Points, and use the sniper towers to defend them. Be sure to have fun, watch the language and visit us a www.doenet.net. ");
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Mechsoul", "SS3"); 
}

function vehicle::onAdd(%vehicleId)
{
%vehicleId.name = getHUDName(%vehicleId);
}



function ZenTransporter::trigger::onContact(%this, %object)
{
	setPosition(%object, 1167.82, -560.213, 858);
}

function ZenTransporter2::trigger::onContact(%this, %object)
{
	setPosition(%object, -1925.88, 1699.97, 480.69);
}
